Name: shiboken
Version: 1.0.3
Release: %mkrel 3
License: GPLv2
Summary: Creates the PySide bindings source files
Group: Development/KDE and Qt
URL: http://www.pyside.org
Source0:  http://www.pyside.org/files/%name-%{version}.tar.bz2
Patch0: shiboken-0.5.1-fix-str-fmt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: apiextractor-devel >= 0.10.3
BuildRequires: generatorrunner-devel >= 0.6.10
BuildRequires: python-devel

%description
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files).

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_libdir}/generatorrunner/shiboken_generator.so

#------------------------------------------------------------------------------

%define libmajor 1
%define libname %mklibname %name %{libmajor}

%package -n %{libname}
Summary: Shiboken Generator core lib
Group: System/Libraries

%description -n %{libname}
Shiboken Generator core lib.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-python%{py_ver}.so.%{libmajor}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for Shiboken Generator
Group: Development/KDE and Qt
Requires: %{libname} = %{version}
Requires: %name = %{version}

%description devel
Devel stuff for Shiboken Generator.

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}

%build
sed 's/-Wno-strict-aliasing/-fno-strict-aliasing/' -i CMakeLists.txt
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %buildroot


%changelog
* Wed Jul 13 2011 Lev Givon <lev@mandriva.org> 1.0.3-3
+ Revision: 689905
- Fix release tag.

* Wed Jun 08 2011 Paulo Belloni <paulo@mandriva.com> 1.0.3-2
+ Revision: 683171
- Fixing no-strict-aliasing flag. We need to inform upstream.

* Sat May 28 2011 Funda Wang <fwang@mandriva.org> 1.0.3-1
+ Revision: 680404
- new version 1.0.3

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1
+ Revision: 661158
- new version 1.0.2

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1
+ Revision: 649942
- update to new version 1.0.1

* Sat Mar 05 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1
+ Revision: 642048
- 1.0.0 final

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.rc1.1
+ Revision: 640592
- New version 1.0 rc1

* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta5.1
+ Revision: 635748
- New version 1.0.0 beta5

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta4.1
+ Revision: 633829
- update file list
- 1.0 beta4

* Wed Jan 19 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1
+ Revision: 631674
- new version 1.0.0 beta3

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 623332
- new version 1.0 beta2

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta1.1mdv2011.0
+ Revision: 601836
- update file list
- 1.0.0 beta1

* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 592796
- rebuild for py2.7

* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 585679
- new version 0.5.1

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 580650
- fix str fmt
- new version 0.5.0

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 566421
- import shiboken


